#version 330

in vec2 fUVs;

out vec4 fragColor;

uniform sampler2D hudTexture;
uniform float fear; //[0,1]
uniform float energy; //[0,1]

void main(){
	vec4 textureColor = texture2D(hudTexture, fUVs);
	vec4 fear_colorFull = textureColor * 0.5 + vec4(0.8,0.0,0.0,1.0) * 0.5;
	vec4 fear_colorEmpty = textureColor * 0.9 + vec4(0.8,0.0,0.0,1.0) * 0.1;
	vec4 energy_colorFull = textureColor * 0.5 + vec4(0.0,0.0,0.8,1.0) * 0.5;
	vec4 energy_colorEmpty = textureColor * 0.9 + vec4(0.0,0.0,0.8,1.0) * 0.1;

	if(fUVs.y <= 0.5){ //unterer teil energy
		if(fUVs.x < energy) fragColor = energy_colorFull;
		else fragColor = energy_colorEmpty;
	} else if (fUVs.y > 0.5){ //oberer teil fear
		if(fUVs.x < fear) fragColor = fear_colorFull;
		else fragColor = fear_colorEmpty;
	}
}