#version 330

out vec2 fragColor;

void main(){
	float depth = gl_FragCoord.z;
	float near = 0.01;
	float far = 20.0;
	depth = (2 * near) / (far + near - depth * (far - near)); //linearize
	float dx = dFdx(depth);
	float dy = dFdy(depth);
	fragColor = vec2(depth, depth * depth + 0.25 * (dx * dx + dy * dy));
}